
Infrastructure - Bug #1141

unicode guid handling in mn.create()

2010-12-03 21:11 - Rob Nahf

Status: Closed Start date: 2010-12-03

Priority: Urgent Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version:    

Description

at least 4 distinct bugs from integration tests against mn.create():

offending characters:

";"

"/"

unicode, non-ascii characters 1-byte, 2-byte

unicode, supplementary characters 

the last one give an error message, whereas the first 3 do not.

The error message: "Error creating MMP stream in MNode.handleCreateOrUpdate: Could not serialize the system metadata to

multipart: Illegal character code 0xd800 in content text"

run D1ClientTest.java to reproduce results.

Subtasks:

Task # 1142: address MMP errors for supplementary unicode characters in pids Rejected

Task # 1143: address semi-colon issue Closed

Task # 1162: override getPathInfo to replace censored characters Closed

Related issues:

Related to Java Client - Bug #2620: jibx support for unicode supplemental BMP... Closed 2012-04-20

History

#1 - 2010-12-03 21:27 - Rob Nahf

- Priority changed from Normal to Urgent

#2 - 2010-12-03 21:34 - Rob Nahf

the "/" issue tracks with the "\" issue.  The unicode errors (non-ascii, non-supplementary characters) are probably distinct.

#3 - 2010-12-13 18:33 - Dave Vieglais

- Position deleted (10)

- Position set to 1

- Target version changed from Sprint-2010.49 to Sprint-2010.50

#4 - 2010-12-13 18:35 - Dave Vieglais

- Position deleted (1)

- Position set to 20

#5 - 2010-12-13 18:55 - Rob Nahf

- Position deleted (18)

- Position set to 7
#6 - 2011-01-03 02:06 - Dave Vieglais

- Target version changed from Sprint-2010.50 to Sprint-2011.01

#7 - 2011-01-10 18:25 - Dave Vieglais

- Position set to 1

- Position deleted (9)

- Target version deleted (Sprint-2011.01)

#8 - 2011-03-28 14:55 - Dave Vieglais

- Position set to 2

- Position deleted (82)

- Target version set to Sprint-2011.13-Block.2

#9 - 2011-04-05 01:42 - Dave Vieglais

- Target version changed from Sprint-2011.13-Block.2 to Sprint-2011.14-Block.2

- Position set to 3

- Position deleted (7)

#10 - 2011-04-13 04:14 - Dave Vieglais

- Position set to 8

- Target version changed from Sprint-2011.14-Block.2 to Sprint-2011.15-Block.2

- Position deleted (26)

#11 - 2011-04-25 15:53 - Dave Vieglais

- Target version changed from Sprint-2011.15-Block.2 to Sprint-2011.18-Block.3

- Position deleted (23)

- Position set to 1

#12 - 2011-05-16 17:58 - Dave Vieglais

- Target version changed from Sprint-2011.18-Block.3 to Sprint-2011.20-Block.3

#13 - 2011-05-23 17:44 - Robert Waltz

- Target version deleted (Sprint-2011.20-Block.3)

- Position set to 124

- Position deleted (25)

#14 - 2011-08-30 01:58 - Dave Vieglais

- Position deleted (163)

- Position set to 34

#15 - 2012-01-06 04:07 - Dave Vieglais

- Position set to 1

- Position deleted (125)

#16 - 2012-02-08 20:23 - Dave Vieglais

- Target version set to Sprint-2012.05-Block.1.3

- Position deleted (63)

- Position set to 1
#17 - 2012-02-13 18:06 - Dave Vieglais

- Target version deleted (Sprint-2012.05-Block.1.3)

- Position set to 1

- Position deleted (5)

#18 - 2017-03-28 17:59 - Dave Vieglais

- Milestone set to None

- % Done changed from 0 to 100

- Status changed from New to Closed
